Show Project
Get a single Ad Manager project, including its settings and the saved skip policy (settings.skip_policy). This is the only read path for the skip policy - the skip-policy endpoint itself is write-only.
curl -X GET "https://api.5centscdn.com/v2/ad-manager/101" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/ad-manager/101"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/ad-manager/101", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/ad-manager/101", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/ad-manager/101')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"project": {
"id": 101,
"uuid": "8f2a1c3e-4b5d-4a6e-9f1a-2b3c4d5e6f7a",
"name": "Main Website",
"settings": {
"timezone": "America/New_York",
"currency_code": "USD",
"currency_symbol": "$",
"advanced_analytics": 1,
"max_advertisers": 100,
"max_campaigns": 500,
"max_creatives": 500,
"analytics_retention_period": 2,
"skip_policy": {
"default": {
"skippable": true,
"offset_type": "seconds",
"offset_value": 5
},
"rules": [
{
"skippable": true,
"offset_type": "seconds",
"offset_value": 5,
"position": "1",
"longest": false,
"shortest": false
}
]
}
},
"advertisers_count": 12,
"campaigns_count": 34,
"creatives_count": 56,
"active_campaigns_count": 9,
"usage_this_month": {
"ad_requests": 128430,
"fill_rate": 87.4,
"impressions": 96210,
"completion_rate": 71.2
},
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-02-01T08:00:00Z",
"serviceid": 103
}
}
GET
/ad-manager/{pid}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
pidinteger
RequiredID of the Ad Manager project.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Operation outcome.
Allowed values:
successerrorprojectstring
Was this page helpful?